#!/bin/sh
#!/bin/sh
debug=no
while [ $# -gt 0 ]
do
  case "$1" in
    -g|--debug) debug=yes;;
    -h|--help) usage "configure [-h|--help][-g|--debug]"; exit 0;;
    *) echo "configure: invalid option '$1' (try '-h')"; exit 1;;
  esac
  shift
done
CC=gcc
CFLAGS="-Wall"
[ $debug = yes ] && CFLAGS="$CFLAGS -g3"
[ $debug = no ] && CFLAGS="$CFLAGS -O3 -DNDEBUG"
sed -e "s,@CC@,$CC,g" -e "s,@CFLAGS@,$CFLAGS,g" makefile.in > makefile
